ofbiz-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Warnock <mwarn...@ridgecrestherbals.com>
Subject Re: Installation on CentOS 5.6 with PostgreSQL
Date Thu, 10 Nov 2011 17:45:06 GMT
Check that you are running "./ant run-install", not "ant run-install" as
there is often a difference between the ant version shipped with ofbiz
and the ant version installed on the system.  OFBiz has its own version
of ant, which is the one you should be using.


On Thu, 2011-11-10 at 08:58 -0800, champagroup wrote:
> I have been working on an installation of Ofbiz on a dedicated CentOS server
> using PostgreSQL, but I have run into some problems and I don't know where
> I've gone wrong. I followed the instructions posted here:
> 
> http://www.toivari.com/devblog/2010/06/16/configure-ofbiz-to-use-postgresql-server/
> 
> But, it's when I get down to the end, running /ant run-install/ that I seem
> to have problems. I usually get this message:
> 
> /Buildfile: build.xml
> 
> BUILD FAILED
> /etc/ofbiz/build.xml:25: The following error occurred while executing this
> line:
> /etc/ofbiz/macros.xml:21: Class org.apache.tools.ant.taskdefs.ConditionTask
> doesn't support the nested "antversion" element.
> 
> Total time: 1 second/
> 
> Does anyone have an idea of what's happening here? I have searched the Web,
> trying to find a good answer to this issue, but it hasn't turned up much,
> and what I have found has not been very helpful. There has been all of this
> talk about a SUN SDK, but I really don't understand what they are referring
> to. I have JDK 1.6 installed, as it was required ant. Please, help me out.
> 
> Regards,
> 
> Stephen
> 
> --
> View this message in context: http://ofbiz.135035.n4.nabble.com/Installation-on-CentOS-5-6-with-PostgreSQL-tp4024345p4024345.html
> Sent from the OFBiz - User mailing list archive at Nabble.com.

-- 
Matt Warnock <mwarnock@ridgecrestherbals.com>
RidgeCrest Herbals, Inc.


Mime
View raw message